## XUSER Options

### Use

You can call XUSER with options:

xuser [<options>] [set|clear|list]

XUSER Options

<option> | Description
-A | The XUSER program interprets the entries as ASCII8. The default value for the character set is UTF-8.
-b <file_name> | XUSER reads the XUSER entries from the XUSER file <file_name>. See: Importing XUSER Entries from a File
-c <domain>\<os_user> | Only for Microsoft Windows Operating system users <os_user> in the <domain>, for which the XUSER entry is changed. You require administration rights in order to use this option.
-d <database_name> | Name of the database instance If you do not specify a database name, no database instance will be assigned to the XUSER entry.
-e <encryption> | Only in SAP systems <encryption> type used for connection to database instance At present you can only select the value SSL for <encryption> If you are not using an encryption, omit this option.
-h | Displays help
-l <isolation_level> | Isolation level For application programs only If you do not specify an <isolation_level>, the XUSER program uses the value –1.
-n <database_computer> | Name of the computer on which the database instance is running Character string with a maximum of 64 characters The character string is case-sensitive. If you do not specify a <database_computer>, the XUSER program uses the local computer.
-S <SQL_mode> | SQL mode Character string with a maximum of 8 characters You do not specify an <SQL_mode>, the XUSER program uses the SQL mode INTERNAL.
-t <timeout> | Timeout value in seconds Possible values: -1, <seconds>,0 -1: The default value for the database instance is transferred to the XUSER program. 0: no timeout If you do not specify a <timeout>, the XUSER program uses the value –1.
-U <user_key> | User key of the XUSER entry Character string with maximum of 18 characters (9 characters in UNICODE) Note the character string is case-sensitive.
-u <user_name>,<password> | User name (Database user or DBM operator) and password Character strings, each with a maximum of 18 characters (9 characters in UNICODE) If user name or password contain lowercase letters or special characters, you should enclose these in quotation marks. The XUSER program will otherwise convert lowercase letters to uppercase letters automatically.
-V | Displays version of XUSER program